=== debian/changelog ===
qbittorrent (4.5.2-3+deb12u1) bookworm; urgency=medium

  * Disable UPnP for web UI by default in qbittorrent-nox (Closes: #1056379)

 -- Christian Marillat <marillat@debian.org>  Wed, 22 Nov 2023 16:26:29 +0100

qbittorrent (4.5.2-3) unstable; urgency=medium

  * Really install service file in /lib/systemd/system (Closes: #1034678)

 -- Christian Marillat <marillat@debian.org>  Fri, 21 Apr 2023 23:56:17 +0200

qbittorrent (4.5.2-2) unstable; urgency=medium

  * Move systemd file to /lib/systemd/system (was /usr/lib/systemd/system)
    (Closes: #1034217)

 -- Christian Marillat <marillat@debian.org>  Fri, 21 Apr 2023 08:29:03 +0200

qbittorrent (4.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 28 Feb 2023 08:17:38 +0100
