=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --without autoreconf

override_dh_auto_configure:
	dh_auto_configure --builddirectory build-nox -- \
	--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--disable-gui --enable-systemd
	dh_auto_configure --builddirectory build-gui -- \
	--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

#	exit 1

override_dh_auto_build:
	dh_auto_build --builddirectory build-nox
	dh_auto_build --builddirectory build-gui

override_dh_auto_install:
	sed -i '/STRIP/d' build-nox/src/Makefile
	sed -i '/STRIP/d' build-gui/src/Makefile
	dh_auto_install --builddirectory build-nox --destdir debian/qbittorrent-nox \
		-- INSTALL_ROOT=$(CURDIR)/debian/qbittorrent-nox
	dh_auto_install --builddirectory build-gui --destdir debian/qbittorrent \
		-- INSTALL_ROOT=$(CURDIR)/debian/qbittorrent

execute_after_dh_auto_install:
	dh_installdirs -pqbittorrent-nox lib/systemd/system
	mv debian/qbittorrent-nox/usr/lib/systemd/system debian/qbittorrent-nox/lib/systemd/
	rm -rf debian/qbittorrent-nox/usr/lib

override_dh_installsystemduser:
	dh_installsystemduser -pqbittorrent-nox --no-enable

override_dh_auto_clean:
	dh_auto_clean --builddirectory build-nox
	dh_auto_clean --builddirectory build-gui

override_dh_clean:
	dh_clean src/webui/www/translations/webui_*.qm \
	src/lang/qbittorrent_*.qm src/base/version.h
