=== debian/watch ===
version=4

#unstable: follow stable and rc releases
opts="uversionmangle=s/rc/~rc/" \
https://sf.net/qbittorrent/qbittorrent-([\d\.]*(?:rc\d)?)@ARCHIVE_EXT@

#experimental: follow stable, rc and beta releases
#opts="uversionmangle=s/(rc|beta)/~$1/" \
#https://sf.net/qbittorrent/qbittorrent-([\d\.]*(?:(?:rc|beta)\d)?)\.tar\.xz
