## qbittorrent 4.5.3

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,21 @@
 Source: qbittorrent
 Section: net
 Priority: optional
-Maintainer: Christian Marillat <marillat@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://www.qbittorrent.org/
 Standards-Version: 4.6.1
-Build-Depends: debhelper-compat (= 13), libtorrent-rasterbar-dev (>= 2.0.4~),
- libboost-dev, libqt5svg5-dev, qtbase5-dev (>= 5.2.0), qttools5-dev-tools,
- zlib1g-dev
+Build-Depends: debhelper-compat (= 13),
+               libboost-dev,
+               libqt5svg5-dev,
+               libtorrent-rasterbar-dev (>= 2.0.4~),
+               qtbase5-dev (>= 5.15.0),
+               qttools5-dev-tools,
+               zlib1g-dev
 
 Package: qbittorrent
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-sqlite
+Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
 Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a
  Qt5 user interface. qBittorrent is a feature rich but lightweight client
@@ -33,7 +38,7 @@
 
 Package: qbittorrent-nox
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-sqlite
+Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
 Description: bittorrent client based on libtorrent-rasterbar (without X support)
  BitTorrent client written in C++ and based on libtorrent-rasterbar.
  qBittorrent-nox is a version of qBittorrent (Qt5 application) that does not
