## qbittorrent 4.5.4

=== debian/changelog ===
qbittorrent (4.5.4-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 18 Jun 2023 23:48:36 +0200

qbittorrent (4.5.3-4) unstable; urgency=medium

  * Rename libqt5sql5-sqlite to libqt6sql6-sqlite in Depends.

 -- Christian Marillat <marillat@debian.org>  Sun, 18 Jun 2023 15:36:58 +0200

qbittorrent (4.5.3-3) unstable; urgency=medium

  * Add libqt6svg6 as qbittorrent dependency (Thanks to Sam Uienn for the fix)
    (Closes: #1038339)

 -- Christian Marillat <marillat@debian.org>  Sun, 18 Jun 2023 12:59:06 +0200

qbittorrent (4.5.3-2) unstable; urgency=medium

  * Build with cmake and ninja
  * Build with Qt6

 -- Christian Marillat <marillat@debian.org>  Mon, 12 Jun 2023 15:36:05 +0200

qbittorrent (4.5.3-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 30 May 2023 08:01:50 +0200
