## qbittorrent 4.5.5

=== debian/changelog ===
qbittorrent (4.5.5-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 30 Aug 2023 07:44:08 +0200
