## qbittorrent 4.6.0

=== debian/changelog ===
qbittorrent (4.6.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Fix description to refer to Qt 6, not Qt 5.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 23 Oct 2023 20:52:06 -0700

qbittorrent (4.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 23 Oct 2023 01:37:43 +0200
