=== debian/control ===
--- 
+++ 
@@ -1,19 +1,28 @@
 Source: qbittorrent
 Section: net
 Priority: optional
-Maintainer: Christian Marillat <marillat@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://www.qbittorrent.org/
 Standards-Version: 4.6.1
-Build-Depends: debhelper-compat (= 13), cmake, libtorrent-rasterbar-dev (>= 2.0.4~),
- libboost-dev, zlib1g-dev, qt6-base-dev, qt6-tools-dev, qt6-svg-dev, libxkbcommon-dev,
- systemd, ninja-build
+Build-Depends: cmake,
+               debhelper-compat (= 13),
+               libboost-dev,
+               libtorrent-rasterbar-dev (>= 2.0.4~),
+               libxkbcommon-dev,
+               ninja-build,
+               qt6-base-dev,
+               qt6-svg-dev,
+               qt6-tools-dev,
+               systemd,
+               zlib1g-dev
 
 Package: qbittorrent
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt6sql6-sqlite, libqt6svg6
-Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
+Depends: libqt6sql6-sqlite, libqt6svg6, ${misc:Depends}, ${shlibs:Depends}
+Description: bittorrent client based on libtorrent-rasterbar with a Qt6 GUI
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a
- Qt5 user interface. qBittorrent is a feature rich but lightweight client
+ Qt6 user interface. qBittorrent is a feature rich but lightweight client
  that is very similar to uTorrent. Its main features are:
  .
   * Polished uTorrent-like user interface
@@ -33,8 +42,8 @@
 
 Package: qbittorrent-nox
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt6sql6-sqlite
-Description: bittorrent client based on libtorrent-rasterbar (without X support)
+Depends: libqt6sql6-sqlite, ${misc:Depends}, ${shlibs:Depends}
+Description: bittorrent client based on libtorrent-rasterbar (no X support)
  BitTorrent client written in C++ and based on libtorrent-rasterbar.
  qBittorrent-nox is a version of qBittorrent (Qt5 application) that does not
  require X and can be controlled via a WebUI, thus is more suitable for
