## qbittorrent 4.6.2

=== debian/changelog ===
qbittorrent (4.6.2-1~mx21+1) mx; urgency=medium

  * New upstream release.
  * Update libtorrent-rasterbar-dev build dependecy version to >= 2.0.9.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 28 Nov 2023 14:59:13 -0800

qbittorrent (4.6.1-1~mx23+1) mx; urgency=medium

  * New upstream release:
    - Add option to enable previous Add new torrent dialog behavior 
    - Prevent crash due to race condition when adding magnet link 
    - Fix Enter key behavior when add new torrent 
    - Add missing main window icon
    - Update size of selected files when selection is changed 
    - Correctly handle changing save path of torrent w/o metadata 
    - Use appropriate icon for "moving" torrents in transfer list
    - Drop WebUI default credentials 
    - Add I2P settings to WebUI
    - Fix duplicate scrollbar on Transfer List
    - Fix .torrent file upload on iPadOS
    - Fix incorrect subcategory sorting
    - Correctly set save path in RSS rules 
    - Allow to request torrents count via WebAPI 
    - Improve performance of getting torrent numbers via WebAPI
    - Improve free disk space checking for WebAPI 
    - WINDOWS NSIS Fixed typo in the installer's hungarian translation
    - Fix invisible tray icon with Qt5 in Linux

  * Revert to Qt 5 for MX 23 also.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 21 Nov 2023 14:06:30 -0800

qbittorrent (4.6.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to Qt 5 for MX 21.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 23 Oct 2023 20:52:06 -0700
