=== debian/control ===
--- 
+++ 
@@ -8,21 +8,22 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libboost-dev,
-               libtorrent-rasterbar-dev (>= 2.0.4~),
+               libqt5svg5-dev (>= 5.15.0),
+               libtorrent-rasterbar-dev (>= 2.0.9~),
                libxkbcommon-dev,
                ninja-build,
-               qt6-base-dev,
-               qt6-svg-dev,
-               qt6-tools-dev,
+               qtbase5-dev (>= 5.15.0),
+               qttools5-dev,
+               qttools5-dev-tools,
                systemd,
                zlib1g-dev
 
 Package: qbittorrent
 Architecture: any
-Depends: libqt6sql6-sqlite, libqt6svg6, ${misc:Depends}, ${shlibs:Depends}
-Description: bittorrent client based on libtorrent-rasterbar with a Qt6 GUI
+Depends: libqt5sql5-sqlite, libqt5svg5, ${misc:Depends}, ${shlibs:Depends}
+Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a
- Qt6 user interface. qBittorrent is a feature rich but lightweight client
+ Qt5 user interface. qBittorrent is a feature rich but lightweight client
  that is very similar to uTorrent. Its main features are:
  .
   * Polished uTorrent-like user interface
@@ -42,7 +43,7 @@
 
 Package: qbittorrent-nox
 Architecture: any
-Depends: libqt6sql6-sqlite, ${misc:Depends}, ${shlibs:Depends}
+Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
 Description: bittorrent client based on libtorrent-rasterbar (no X support)
  BitTorrent client written in C++ and based on libtorrent-rasterbar.
  qBittorrent-nox is a version of qBittorrent (Qt5 application) that does not
