## qbittorrent 4.6.3

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -12,10 +12,13 @@
 set(testFiles
     testalgorithm.cpp
     testbittorrenttrackerentry.cpp
+    testglobal.cpp
     testorderedset.cpp
     testpath.cpp
     testutilscompare.cpp
+    testutilsbytearray.cpp
     testutilsgzip.cpp
+    testutilsio.cpp
     testutilsstring.cpp
     testutilsversion.cpp
 )
