=== src/base/CMakeLists.txt ===
--- 
+++ 
@@ -34,6 +34,7 @@
     bittorrent/sessionstatus.h
     bittorrent/speedmonitor.h
     bittorrent/torrent.h
+    bittorrent/torrentcontenthandler.h
     bittorrent/torrentcontentlayout.h
     bittorrent/torrentcreatorthread.h
     bittorrent/torrentimpl.h
@@ -98,6 +99,7 @@
     utils/io.h
     utils/misc.h
     utils/net.h
+    utils/os.h
     utils/password.h
     utils/random.h
     utils/string.h
@@ -109,6 +111,7 @@
     applicationcomponent.cpp
     asyncfilestorage.cpp
     bittorrent/abstractfilestorage.cpp
+    bittorrent/addtorrentparams.cpp
     bittorrent/bandwidthscheduler.cpp
     bittorrent/bencoderesumedatastorage.cpp
     bittorrent/categoryoptions.cpp
@@ -129,6 +132,7 @@
     bittorrent/sessionimpl.cpp
     bittorrent/speedmonitor.cpp
     bittorrent/torrent.cpp
+    bittorrent/torrentcontenthandler.cpp
     bittorrent/torrentcreatorthread.cpp
     bittorrent/torrentimpl.cpp
     bittorrent/torrentinfo.cpp
@@ -181,6 +185,7 @@
     utils/io.cpp
     utils/misc.cpp
     utils/net.cpp
+    utils/os.cpp
     utils/password.cpp
     utils/random.cpp
     utils/string.cpp
