=== src/gui/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 qt_wrap_ui(UI_HEADERS
     aboutdialog.ui
     addnewtorrentdialog.ui
+    addtorrentparamswidget.ui
     autoexpandabledialog.ui
     banlistoptionsdialog.ui
     cookiesdialog.ui
@@ -36,7 +37,9 @@
     torrentcategorydialog.ui
     torrentcreatordialog.ui
     torrentoptionsdialog.ui
+    torrenttagsdialog.ui
     trackerentriesdialog.ui
+    uithemedialog.ui
     watchedfolderoptionsdialog.ui
 )
 
@@ -44,12 +47,10 @@
     # headers
     aboutdialog.h
     addnewtorrentdialog.h
+    addtorrentparamswidget.h
     advancedsettings.h
     autoexpandabledialog.h
     banlistoptionsdialog.h
-    categoryfiltermodel.h
-    categoryfilterproxymodel.h
-    categoryfilterwidget.h
     color.h
     cookiesdialog.h
     cookiesmodel.h
@@ -57,6 +58,7 @@
     desktopintegration.h
     downloadfromurldialog.h
     executionlogwidget.h
+    flowlayout.h
     fspathedit.h
     fspathedit_p.h
     guiapplicationcomponent.h
@@ -80,7 +82,6 @@
     properties/pieceavailabilitybar.h
     properties/piecesbar.h
     properties/propertieswidget.h
-    properties/proplistdelegate.h
     properties/proptabbar.h
     properties/speedplotview.h
     properties/speedwidget.h
@@ -101,46 +102,57 @@
     speedlimitdialog.h
     statsdialog.h
     statusbar.h
-    tagfiltermodel.h
-    tagfilterproxymodel.h
-    tagfilterwidget.h
     torrentcategorydialog.h
     torrentcontentfiltermodel.h
+    torrentcontentitemdelegate.h
     torrentcontentmodel.h
     torrentcontentmodelfile.h
     torrentcontentmodelfolder.h
     torrentcontentmodelitem.h
-    torrentcontenttreeview.h
+    torrentcontentwidget.h
     torrentcreatordialog.h
     torrentoptionsdialog.h
+    torrenttagsdialog.h
     trackerentriesdialog.h
     transferlistdelegate.h
+    transferlistfilters/basefilterwidget.h
+    transferlistfilters/categoryfiltermodel.h
+    transferlistfilters/categoryfilterproxymodel.h
+    transferlistfilters/categoryfilterwidget.h
+    transferlistfilters/statusfilterwidget.h
+    transferlistfilters/tagfiltermodel.h
+    transferlistfilters/tagfilterproxymodel.h
+    transferlistfilters/tagfilterwidget.h
+    transferlistfilters/trackersfilterwidget.h
     transferlistfilterswidget.h
     transferlistmodel.h
     transferlistsortmodel.h
     transferlistwidget.h
     tristateaction.h
     tristatewidget.h
+    uithemecommon.h
+    uithemedialog.h
     uithememanager.h
+    uithemesource.h
     utils.h
     watchedfolderoptionsdialog.h
     watchedfoldersmodel.h
+    windowstate.h
 
     # sources
     aboutdialog.cpp
     addnewtorrentdialog.cpp
+    addtorrentparamswidget.cpp
     advancedsettings.cpp
     autoexpandabledialog.cpp
     banlistoptionsdialog.cpp
-    categoryfiltermodel.cpp
-    categoryfilterproxymodel.cpp
-    categoryfilterwidget.cpp
     cookiesdialog.cpp
     cookiesmodel.cpp
     deletionconfirmationdialog.cpp
     desktopintegration.cpp
     downloadfromurldialog.cpp
     executionlogwidget.cpp
+    flowlayout.cpp
     fspathedit.cpp
     fspathedit_p.cpp
     guiapplicationcomponent.cpp
@@ -163,7 +175,6 @@
     properties/pieceavailabilitybar.cpp
     properties/piecesbar.cpp
     properties/propertieswidget.cpp
-    properties/proplistdelegate.cpp
     properties/proptabbar.cpp
     properties/speedplotview.cpp
     properties/speedwidget.cpp
@@ -184,27 +195,37 @@
     speedlimitdialog.cpp
     statsdialog.cpp
     statusbar.cpp
-    tagfiltermodel.cpp
-    tagfilterproxymodel.cpp
-    tagfilterwidget.cpp
     torrentcategorydialog.cpp
     torrentcontentfiltermodel.cpp
+    torrentcontentitemdelegate.cpp
     torrentcontentmodel.cpp
     torrentcontentmodelfile.cpp
     torrentcontentmodelfolder.cpp
     torrentcontentmodelitem.cpp
-    torrentcontenttreeview.cpp
+    torrentcontentwidget.cpp
     torrentcreatordialog.cpp
     torrentoptionsdialog.cpp
+    torrenttagsdialog.cpp
     trackerentriesdialog.cpp
     transferlistdelegate.cpp
+    transferlistfilters/basefilterwidget.cpp
+    transferlistfilters/categoryfiltermodel.cpp
+    transferlistfilters/categoryfilterproxymodel.cpp
+    transferlistfilters/categoryfilterwidget.cpp
+    transferlistfilters/statusfilterwidget.cpp
+    transferlistfilters/tagfiltermodel.cpp
+    transferlistfilters/tagfilterproxymodel.cpp
+    transferlistfilters/tagfilterwidget.cpp
+    transferlistfilters/trackersfilterwidget.cpp
     transferlistfilterswidget.cpp
     transferlistmodel.cpp
     transferlistsortmodel.cpp
     transferlistwidget.cpp
     tristateaction.cpp
     tristatewidget.cpp
+    uithemedialog.cpp
     uithememanager.cpp
+    uithemesource.cpp
     utils.cpp
     watchedfolderoptionsdialog.cpp
     watchedfoldersmodel.cpp
