=== debian/changelog ===
qbittorrent (4.6.3-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:19:46 +1100

qbittorrent (4.6.3-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:07:53 +0000

qbittorrent (4.6.3-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 17 Jan 2024 08:11:39 +0100

qbittorrent (4.6.2-3) unstable; urgency=medium

  * Replace systemd by systemd-dev in Build-depends (CLoses: #1060524)

 -- Christian Marillat <marillat@debian.org>  Fri, 12 Jan 2024 11:01:54 +0100

qbittorrent (4.6.2-2) unstable; urgency=medium

  * Build with boost 1.83

 -- Christian Marillat <marillat@debian.org>  Wed, 20 Dec 2023 18:59:59 +0100

qbittorrent (4.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 28 Nov 2023 03:06:25 +0100

qbittorrent (4.6.1-2) unstable; urgency=medium

  * Update libtorrent-rasterbar-dev build dependecy version to 2.0.9
    (Closes: #1056568)

 -- Christian Marillat <marillat@debian.org>  Thu, 23 Nov 2023 09:52:12 +0100

qbittorrent (4.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 21 Nov 2023 08:08:14 +0100
