=== debian/control ===
--- 
+++ 
@@ -1,26 +1,17 @@
 Source: qbittorrent
 Section: net
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://www.qbittorrent.org/
 Standards-Version: 4.6.1
-Build-Depends: cmake,
-               debhelper-compat (= 13),
-               libboost-dev,
-               libqt5svg5-dev (>= 5.15.0),
-               libtorrent-rasterbar-dev (>= 2.0.9~),
-               libxkbcommon-dev,
-               ninja-build,
-               qtbase5-dev (>= 5.15.0),
-               qttools5-dev,
-               qttools5-dev-tools,
-               systemd,
-               zlib1g-dev
+Build-Depends: debhelper-compat (= 13), cmake, libtorrent-rasterbar-dev (>= 2.0.9~),
+ libboost-dev (>= 1.83~), zlib1g-dev, qt6-base-dev, qt6-tools-dev, qt6-svg-dev,
+ libxkbcommon-dev, systemd-dev, ninja-build
 
 Package: qbittorrent
 Architecture: any
-Depends: libqt5sql5-sqlite, libqt5svg5, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt6sql6-sqlite, libqt6svg6
 Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a
  Qt5 user interface. qBittorrent is a feature rich but lightweight client
@@ -43,8 +34,8 @@
 
 Package: qbittorrent-nox
 Architecture: any
-Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
-Description: bittorrent client based on libtorrent-rasterbar (no X support)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt6sql6-sqlite
+Description: bittorrent client based on libtorrent-rasterbar (without X support)
  BitTorrent client written in C++ and based on libtorrent-rasterbar.
  qBittorrent-nox is a version of qBittorrent (Qt5 application) that does not
  require X and can be controlled via a WebUI, thus is more suitable for
