## qbittorrent 4.6.5

=== debian/changelog ===
qbittorrent (4.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 27 May 2024 07:29:12 +0200

qbittorrent (4.6.4-3) unstable; urgency=medium

  * Really add qt6-base-private-dev to Build-Depends (Closes: #1067667)

 -- Christian Marillat <marillat@debian.org>  Mon, 25 Mar 2024 15:51:51 +0100

qbittorrent (4.6.4-2) unstable; urgency=medium

  * Add qt6-base-private-dev to Build-Depends (Closes: #1067667)

 -- Christian Marillat <marillat@debian.org>  Mon, 25 Mar 2024 14:26:27 +0100

qbittorrent (4.6.4-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 25 Mar 2024 07:31:45 +0100
