=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: qbittorrent
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
+Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://www.qbittorrent.org/
 Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13), cmake, libtorrent-rasterbar-dev (>= 2.0.9~),
  libboost-dev (>= 1.83~), zlib1g-dev, qt6-base-dev, qt6-tools-dev, qt6-svg-dev,
- libxkbcommon-dev, systemd-dev, ninja-build
+ libxkbcommon-dev, systemd-dev, ninja-build, qt6-base-private-dev, pkgconf
 
 Package: qbittorrent
 Architecture: any
